Managed Clusters - List Cluster Admin Credentials
Lists the admin credentials of a managed cluster.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/listClusterAdminCredential?api-version=2024-09-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/listClusterAdminCredential?api-version=2024-09-01&server-fqdn={server-fqdn}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the resource group. The name is case insensitive. |
|
resource
|
path | True |
string |
The name of the managed cluster resource. Regex pattern: |
|
subscription
|
path | True |
string uuid |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string |
The API version to use for this operation. |
|
server-fqdn
|
query |
string |
server fqdn type for credentials to be returned |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get Managed Cluster
Sample request
Sample response
{
"kubeconfigs": [
{
"name": "credentialName1",
"value": "Y3JlZGVudGlhbFZhbHVlMQ=="
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the Container service. |
|
Cloud |
An error response from the Container service. |
|
Credential |
The credential result response. |
|
Credential |
The list credential result response. |
CloudError
An error response from the Container service.
| Name | Type | Description |
|---|---|---|
| error |
Details about the error. |
CloudErrorBody
An error response from the Container service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
CredentialResult
The credential result response.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the credential. |
| value |
string |
Base64-encoded Kubernetes configuration file. |
CredentialResults
The list credential result response.
| Name | Type | Description |
|---|---|---|
| kubeconfigs |
Base64-encoded Kubernetes configuration file. |